#include<stdio.h>
int main(){
	long long int p,p1,k,k1;
	scanf("%lld %lld",&p,&p1);
	scanf("%lld %lld",&k,&k1);
	if(p==k&&p1==k1)printf("nijedan");
	else if(p==k&&p1<k1)printf("drugi");
	else if(p<k&&p1==k1)printf("prvi");
	else printf("?");
}